/** 
 *  @file  rtems/score/address.h
 *
 *  This include file contains the information required to manipulate
 *  physical addresses.
 */

/*
 *  COPYRIGHT (c) 1989-2004.
 *  On-Line Applications Research Corporation (OAR).
 *
 *  The license and distribution terms for this file may be
 *  found in the file LICENSE in this distribution or at
 *  http://www.rtems.com/license/LICENSE.
 *
 *  $Id$
 */

#ifndef __RTEMS_ADDRESSES_h
#define __RTEMS_ADDRESSES_h

/**
 *  @defgroup ScoreAddress Address Handler
 *
 *  This group contains functionality which abstracts address manipulation
 *  in a portable manner.
 */
/**@{*/

#ifdef __cplusplus
extern "C" {
#endif

#include <rtems/score/address.inl>

#ifdef __cplusplus
}
#endif

/**@}*/

#endif
/* end of include file */
